## QOS Flow Status indication

QOS Flow Status indication

## Functions

QmiIndicationQosFlowStatusOutput * | qmi_indication_qos_flow_status_output_ref ()
void | qmi_indication_qos_flow_status_output_unref ()
gboolean | qmi_indication_qos_flow_status_output_get_value ()

## Types and Values

| QmiIndicationQosFlowStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationQosFlowStatusOutput

## Description

## Functions

### qmi_indication_qos_flow_status_output_ref ()

    QmiIndicationQosFlowStatusOutput *
    qmi_indication_qos_flow_status_output_ref
                                   (QmiIndicationQosFlowStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationQosFlowStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_qos_flow_status_output_unref ()

    void
    qmi_indication_qos_flow_status_output_unref
                                   (QmiIndicationQosFlowStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationQosFlowStatusOutput. |

Since: 1.22

### qmi_indication_qos_flow_status_output_get_value ()

    gboolean
    qmi_indication_qos_flow_status_output_get_value
                                   (QmiIndicationQosFlowStatusOutput *self,
                                    guint32 *value_value_qos_id,
                                    QmiQosStatus *value_value_status,
                                    QmiQosEvent *value_value_event,
                                    GError **error);

Get the 'Value' field from `self` .

#### Parameters

self | a QmiIndicationQosFlowStatusOutput. |
value_value_qos_id | a placeholder for the output guint32, or `NULL` if not required. |
value_value_status | a placeholder for the output QmiQosStatus, or `NULL` if not required. |
value_value_event | a placeholder for the output QmiQosEvent, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationQosFlowStatusOutput

    typedef struct _QmiIndicationQosFlowStatusOutput QmiIndicationQosFlowStatusOutput;

The QmiIndicationQosFlowStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22